<?php

	global $base_url;
	
	$base_url_ = $base_url."/modulos/data/";
	$base_img = $base_url."/";
	
	global $language;
	if ($language->language == "eu") {
		$idioma = '&idioma=eu';
		$idiomaurl = '/eu';
		$idiomaimg = 'eu/';
	} else {
		$idioma = '';
	}
	
	$base_idioma = $base_url."/modulos/data/";
	
    drupal_add_css("formularios/dhtmlx/dhtmlx.css");	  
    drupal_add_css("modulos/css/template.css");	  
    drupal_add_js("formularios/dhtmlx/dhtmlx.js");
    drupal_add_js("formularios/dhtmlx/dhtmlxgrid_pgn.js");
    drupal_add_js("formularios/dhtmlx/format-number.js");
	drupal_add_js('modulos/js/ajax_graficas.js');
	  
	  //$urlxmls = "http://drupal6.betapruebas.com/modulos/data/";
	 
	 //include("modulos/fusionchart/Includes/FusionCharts.php");
	  
	  module_load_include('php', 'graficas', 'modulos/fusionchart/Includes/FusionCharts');
	  
	 $depto = isset($_GET['depto']) ? str_replace(',','',$_GET['depto']) : '';
	 $ente = isset($_GET['ente']) ? str_replace(',','',$_GET['ente']) : '';
	 $filtro = '';
	 if($depto>0) {
	  $filtro .= "&depto=$depto";
	 }
	 if($ente>0) {
	  $filtro .= "&ente=$ente";
	 }
?>

<div id="graficas">

<?php //include("modulos/graficas/grafica_cartera.php");
module_load_include('php', 'cartera', 'modulos/graficas/grafica_cartera'); ?>
<br clear="all" /><br />
<p align="center"><img src="<?php echo $base_img . $idiomaimg; ?>modulos/img/rating-legend.gif" width="321" height="10" /></p>
<p align="right"><a href="tabular?<?=$filtro?>" target="_blank"><img src="<?php echo $base_img . $idiomaimg; ?>modulos/img/tabular.gif" width="100" height="24" /></a></p>
</div>
<?php
	//include_once("formularios/data/connect.php");
	//include_once("modulos/inc/funciones.php");
	
	module_load_include('php', 'connect', 'formularios/data/connect'); 
	module_load_include('php', 'funciones', 'modulos/inc/funciones'); 

	function parseParams($val){
		$arr=array();
		$val=str_replace('#','',$val);
		$val=str_replace('&','',$val);
		$params=explode(",", $val);
		$count=count($params);
		foreach($params as $key => $val)
		{
			$exp=explode('=',$val);
			$arr[$exp[0]]=$exp[1];
		}
		return $arr;
	}

	function getNombreDepto($val)
	{
		$query = "SELECT Nombre FROM departamentos WHERE IdDepartamento = $val";
		$RS = mysql_query($query);
		$row = mysql_fetch_array($RS);
		return utf8_encode($row['Nombre']);
	}

	function getNombreEnte($val, $depto)
	{
		$query = "SELECT Nombre FROM entidades WHERE IdEntidad = $val AND IdDepartamento = $depto";
		$RS = mysql_query($query);
		$row = mysql_fetch_array($RS);
		return utf8_encode($row['Nombre']);
	}
	
	function getNombreTipo($val)
	{
		$query = "SELECT Descripcion FROM tipos WHERE IdTipo = $val";
		$RS = mysql_query($query);
		$row = mysql_fetch_array($RS);
		return utf8_encode($row['Descripcion']);
	}

	function getNombreFuncion($val)
	{
		$query = "SELECT Descripcion FROM funciones WHERE IdFuncion = $val";
		$RS = mysql_query($query);
		$row = mysql_fetch_array($RS);
		return utf8_encode($row['Descripcion']);
	}

	$val = recuperaURL();
	$paramarray = parseParams($val);
	
	$ret.='<div id="portfolioBreadCrumb" class="clearfix"><ul>';
	$clear_img='/modulos/img/clear.gif';

	foreach($paramarray as $key => $value)
	{
		$fl=0;
		$qstr='';
		$query='';
		foreach($paramarray as $k=>$v)
		{
			if($k!=$key)
				$qstr.=$k.'='.$v.',';

			if($key=='depto')
				if(array_key_exists('ente',$paramarray))
					$fl=1;
		}

		$len=strlen($qstr);
		$querystr=substr($qstr,0,$len-1);

		if($fl==1)
		{
			$exp=explode(',',$querystr);

			foreach($exp as $k1=>$v1)
			{
				$pos=strpos($v1,'ente');
				if($pos===FALSE)
					$query.=$v1.',';
			}

			$len=strlen($query);
			$querystr=substr($query,0,$len-1);
		}
		
		$querystr = str_replace(',',',&',$querystr);

		switch ($key)
		{
			case 'depto':
				$dval=getNombreDepto($value);
				$ret.='<li>'.t('Departamento').': '.$dval.'<a href="'.$idiomaurl.'/cartera?'.$querystr.'">&nbsp;<img src="'.$clear_img.'"></a></li>';
				break;

			case 'ente':
				$dval=getNombreEnte($value, $paramarray['depto'] );
				$ret.='<li>'.t('Ente').': '.$dval.'<a href="'.$idiomaurl.'/cartera?'.$querystr.'">&nbsp;<img src="'.$clear_img.'"></a></li>';
				break;

			case 'tipo':
				$dval=getNombreTipo($value);
				$ret.='<li>'.t('Tipo').': '.$dval.'<a href="'.$idiomaurl.'/cartera?'.$querystr.'">&nbsp;<img src="'.$clear_img.'"></a></li>';
				break;

			case 'funcion':
				$dval=getNombreFuncion($value);
				$ret.='<li>'.t('Función').': '.$dval.'<a href="'.$idiomaurl.'/cartera?'.$querystr.'">&nbsp;<img src="'.$clear_img.'"></a></li>';
				break;
		}
	}
	$ret.='</ul></div>';

	print($ret);

?>
<ul class="pestanas">
	<? if(!array_key_exists('depto',$paramarray)){?>
	<li id="tb1"><a href="javascript:setTab('tb1');"><?php echo t('Departamentos'); ?></a></li>
	<?php }else{ ?>
	<? if(!array_key_exists('ente',$paramarray)){?>
	<li id="tb2"><a href="javascript:setTab('tb2');"><?php echo t('Entes'); ?></a></li>
	<?php }} ?>
	<? if(!array_key_exists('tipo',$paramarray) && user_is_logged_in()){?>
	<li id="tb3"><a href="javascript:setTab('tb3');"><?php echo t('Tipos'); ?></a></li>
	<?php } ?>
	<? if(!array_key_exists('funcion',$paramarray) && user_is_logged_in()){?>
	<li id="tb4"><a href="javascript:setTab('tb4');"><?php echo t('Categor&iacute;a Funcional'); ?></a></li>
	<?php } ?>
	<li id="tb5"><a href="javascript:setTab('tb5');"><?php echo t('Programas'); ?></a></li>
</ul>
<div id="paginacion">
</div>
<div id="grid"></div>
<div id="ayuda-enlace" href="#"><?php echo t('Ayuda'); ?></div>
<div id="ayuda">
	<h4><?php echo t('Evaluaci&oacute;n General'); ?></h4>
	<p><?php echo t('Este gr&aacute;fico sectorial muestra el n&uacute;mero y estado de cada uno de los programas incluidos en al Cartera de Programas. El tama&ntilde;o de cada sector corresponde al n&uacute;mero de programas que se encuentran en el estado indicado por su color.'); ?></p><br />
	
	<h4><?php echo t('Historial de Evaluaciones'); ?></h4>
	<p><?php echo t('Este conjunto de gr&aacute;ficos lineales y sectoriales nos indican la evoluci&oacute;n en el tiempo del estado de los programas seg&uacute;n diferentes puntos de vista: evaluaci&oacute;n del responsable, variaci&oacute;n en costo y variaci&oacute;n en plan.'); ?></p><br />

	<h4><?php echo t('Navegaci&oacute;n en la P&aacute;gina de Cartera de Programas'); ?></h4>
	<p><?php echo t('La vista de la lista por defecto muestra informaci&oacute;n resumida acerca de sus Carteras de Programas. Presione en la pesta&ntilde;a Departamento para profundizar en sus Organismo Aut&oacute;nomos y en los diferentes programas que est&aacute;n desarrollando cada uno de ellos; tambi&eacute;n, puede presionar en la pesta&ntilde;a Programas para ir directamente al listado completo de todas los Programas IT.'); ?></p>
</div>

<script type="text/javascript">

	function poneBotones()
	{
		var tlb = grid.aToolBar;
		with(tlb)
		{
			setPosition('results',0);
			setWidth('results', 300);
			addText('filters', 1, '');
			setWidth('filters', 200);
			setPosition('pages',4);
		}
	}
	
	function limpiaFiltro()
	{
		var tlb = grid.aToolBar;
		tlb.setItemText('filters', '');
		var url = grid.xmlFileUrl;
		url = url.replace('&e_gene','');
		url = url.replace('&e_costo','');
		url = url.replace('&e_plan','');
		url = url.replace('&e_resp','');
		url = url.replace('=R','');
		url = url.replace('=A','');
		url = url.replace('=V','');
		grid.clearAndLoad(url);
	}
	
	function poneFiltro(tipo,color)
	{
		var tlb = grid.aToolBar;
		switch(color)
		{
			case 'R':
				imgcolor = 'evRojo';
				break;
			case 'A':
				imgcolor = 'evAmarillo';
				break;
			case 'V':
				imgcolor = 'evVerde';
				break;
		}
		switch(tipo)
		{
			case 'ecosto':
				tlb.setItemText('filters', 'Evaluacion Costo <img src="modulos/img/'+imgcolor+'.png"  style="vertical-align:middle" /> <a href="javascript:limpiaFiltro();"><?php echo t('Limpiar'); ?></a>');
				break;
			case 'egene':
				tlb.setItemText('filters', 'Evaluacion General <img src="modulos/img/'+imgcolor+'.png"  style="vertical-align:middle" /> <a href="javascript:limpiaFiltro();"><?php echo t('Limpiar'); ?></a>');
				break;
			case 'eplan':
				tlb.setItemText('filters', 'Evaluacion Plan <img src="modulos/img/'+imgcolor+'.png"  style="vertical-align:middle" /> <a href="javascript:limpiaFiltro();"><?php echo t('Limpiar'); ?></a>');
				break;
			case 'eresp':
				tlb.setItemText('filters', 'Evaluacion Responsable <img src="modulos/img/'+imgcolor+'.png"  style="vertical-align:middle" /> <a href="javascript:limpiaFiltro();"><?php echo t('Limpiar'); ?></a>');
				break;
		}
		
	}

	es_pgn = {
		results:"<?php echo t('Resultados'); ?>",
		records:"<?php echo t('Mostrando registros del '); ?>",
		to:"<?php echo t(' al '); ?>",
		page:"<?php echo t('P&aacute;gina '); ?>",
		perpage:"<?php echo t('registros por p&aacute;gina'); ?>",
		first:"<?php echo t('A la Primera P&aacute;gina'); ?>",
		previous:"<?php echo t('P&aacute;gina Anterior'); ?>",
		found:"<?php echo t('Registros Encontrados'); ?>",
		next:"<?php echo t('Siguiente P&aacute;gina'); ?>",
		last:"<?php echo t('A la &Uacute;ltima P&aacute;gina'); ?>",
		of:"<?php echo t(' de '); ?>",
		notfound:"<?php echo t('No se encontraron registros'); ?>" 
	}

	$("#ayuda-enlace").click(function () {
		if($("#ayuda").is(":hidden")) {
			$("#ayuda").slideDown("slow");
		} 
		else {
			$("#ayuda").hide();
		}
	});


	var grid = new dhtmlXGridObject("grid");
	grid.enableAutoHeight(true);
	var tab1 = document.getElementById("tb1");
	var tab2 = document.getElementById("tb2");
	var tab3 = document.getElementById("tb3");
	var tab4 = document.getElementById("tb4");
	var tab5 = document.getElementById("tb5");
	if(tab1)
		setTab("tb1");
	else if(tab2)
		setTab("tb2");
	else if(tab3)
		setTab("tb3");
	else if(tab4)
		setTab("tb4");
	else
		setTab("tb5");
	
	function setTab(op)
	{
		var tab1 = document.getElementById("tb1");
		var tab2 = document.getElementById("tb2");
		var tab3 = document.getElementById("tb3");
		var tab4 = document.getElementById("tb4");
		var tab5 = document.getElementById("tb5");
		if(tab1)
			tab1.setAttribute("class","");
		if(tab2)
			tab2.setAttribute("class","");
		if(tab3)
			tab3.setAttribute("class","");
		if(tab4)
			tab4.setAttribute("class","");
		if(tab5)
			tab5.setAttribute("class","");

		document.getElementById(op).setAttribute("class","activo");
		switch(op)
		{
			case "tb1":
				grid.destructor();
				grid = new dhtmlXGridObject("grid");
				with(grid)
				{
					setImagePath("../formularios/dhtmlx/imgs/");
					setHeader("<?php echo t('Departamento'); ?>,<center><?php echo t('Evaluaci&oacute;n<br />General'); ?></center>,<center><?php echo t('Gasto Total<br />A&ntilde;o'); ?> <?php echo date("Y"); ?></center>,<center><?php echo t('No. Total<br />de Programas'); ?></center>");
					setInitWidths("*,150,150,150");
					setColAlign("left,center,right,center");
					setColTypes("ro,ro,ro,ro");
					setColSorting("str,int,int,int");

					enablePaging(true, 50, 3, "paginacion");
				    setPagingSkin("toolbar", "dhx_skyblue")
					i18n.paging = es_pgn;
					
					enableAutoHeight(true);
	  					
					init();
					clearAndLoad("<?=$base_idioma;?>cartera.php?<?=$val ? $val.'&' : ''?>op=depto<?php echo $idioma; ?>", function(){
						poneBotones();
					});
				}
				break;

			case "tb2":
				grid.destructor();
				grid = new dhtmlXGridObject("grid");
				with(grid)
				{
					setImagePath("../formularios/dhtmlx/imgs/");
					setHeader("<?php echo t('Ente'); ?>,<center><?php echo t('Evaluaci&oacute;n<br />General'); ?></center>,<center><?php echo t('Gasto Total<br />A&ntilde;o'); ?> <?php echo date("Y"); ?></center>,<center><?php echo t('No. Total<br />de Programas'); ?></center>");
					setInitWidths("*,150,150,150");
					setColAlign("left,center,right,center");
					setColTypes("ro,ro,ro,ro");
					setColSorting("str,int,int,int");

					enablePaging(true, 50, 3, "paginacion");
				    setPagingSkin("toolbar", "dhx_skyblue")
					i18n.paging = es_pgn;
					
					enableAutoHeight(true);
	  					
					init();
					clearAndLoad("<?=$base_idioma?>cartera.php?<?=$val ? $val.'&' : ''?>op=ente<?php echo $idioma; ?>", function(){
						poneBotones();
					});
				}
				break;

			case "tb3":
				grid.destructor();
				grid = new dhtmlXGridObject("grid");
				with(grid)
				{
					setImagePath("../formularios/dhtmlx/imgs/");
					setHeader("<?php echo t('Tipo'); ?>,<center><?php echo t('Evaluaci&oacute;n<br />General'); ?></center>,<center><?php echo t('Gasto Total<br />A&ntilde;o'); ?> <?php echo date("Y"); ?></center>,<center><?php echo t('No. Total<br />de Programas'); ?></center>");
					setInitWidths("*,150,150,150");
					setColAlign("left,center,right,center");
					setColTypes("ro,ro,ro,ro");
					setColSorting("str,int,int,int");

					enablePaging(true, 50, 3, "paginacion");
				    setPagingSkin("toolbar", "dhx_skyblue")
					i18n.paging = es_pgn;
					
					enableAutoHeight(true);
	  					
					init();
					clearAndLoad("<?=$base_idioma?>cartera.php?<?=$val ? $val.'&' : ''?>op=tipo<?php echo $idioma; ?>", function(){
						poneBotones();
					});
				}
				break;

			case "tb4":
				grid.destructor();
				grid = new dhtmlXGridObject("grid");
				with(grid)
				{
					setImagePath("../formularios/dhtmlx/imgs/");
					setHeader("<?php echo t('Categor&iacute;a Funcional'); ?>,<center><?php echo t('Evaluaci&oacute;n<br />General'); ?></center>,<center><?php echo t('Gasto Total<br />A&ntilde;o'); ?> <?php echo date("Y"); ?></center>,<center><?php echo t('No. Total<br />de Programas'); ?></center>");
					setInitWidths("*,150,150,150");
					setColAlign("left,center,right,center");
					setColTypes("ro,ro,ro,ro");
					setColSorting("str,int,int,int");

					enablePaging(true, 50, 3, "paginacion");
				    setPagingSkin("toolbar", "dhx_skyblue")
					i18n.paging = es_pgn;
					
					enableAutoHeight(true);
	  					
					init();
					clearAndLoad("<?=$base_idioma?>cartera.php?<?=$val ? $val.'&' : ''?>op=func<?php echo $idioma; ?>", function(){
						poneBotones();
					});
				}
				break;

			case "tb5":
				grid.destructor();
				grid = new dhtmlXGridObject("grid");
				with(grid)
				{
					setImagePath("../formularios/dhtmlx/imgs/");
					setHeader("<?php echo t('C&oacute;digo'); ?>,<?php echo t('T&iacute;tulo'); ?>,<?php echo t('Departamento'); ?>,<?php echo t('Tipo'); ?>,<center><?php echo t('Evaluaci&oacute;n<br />General'); ?></center>,<center><?php echo t('Total Gasto<br />A&ntilde;o'); ?> <?php echo date("Y"); ?></center>");
					setInitWidths("120,*,200,100,60,140");
					setColAlign("left,left,left,left,center,right");
					setColTypes("ro,ro,ro,ro,ro,ro");
					setColSorting("str,str,str,str,int,int");
					
					enablePaging(true, 50, 3, "paginacion");
				    setPagingSkin("toolbar", "dhx_skyblue")
					i18n.paging = es_pgn;
					
					enableAutoHeight(true);
	  					
					init();
					clearAndLoad("<?=$base_url_?>cartera.php?<?=$val ? $val.'&' : ''?>op=prog<?php echo $idioma; ?>", function(){
						poneBotones();
					});
				}
				break;
				
		}
	}

</script>